本文へスキップ

自動修正を適用​

POST
/articles/apply

各記事を検査し、ルールで auto_fix=true とされた修正のみを適用します。修正後の記事データを返しますが、外部の記事システムの更新や違反の保存は行いません。

認証​

apiKeyAuth

CoinPost API key

型
API Key (header: CP-X-API-KEY)

リクエストボディ​

application/json
JSON
{
  
"articles": [
  
  
{
  
  
  
"id": "string",
  
  
  
"title": "string",
  
  
  
"summary": "string",
  
  
  
"content": "string",
  
  
  
"tags": [
  
  
  
  
"string"
  
  
  
],
  
  
  
"source": "string",
  
  
  
"language": "string"
  
  
}
  
]
}

レスポンス​

Applied corrections and corrected articles

application/json
JSON
[
  
{
  
  
"article_id": "string",
  
  
"applied_count": 0,
  
  
"applied": [
  
  
  
{
  
  
  
  
"article_id": "string",
  
  
  
  
"entity_id": "string",
  
  
  
  
"rule_id": "string",
  
  
  
  
"field": "string",
  
  
  
  
"original_text": "string",
  
  
  
  
"corrected_text": "string",
  
  
  
  
"language": "string",
  
  
  
  
"start_offset": 0,
  
  
  
  
"end_offset": 0,
  
  
  
  
"auto_fixable": true,
  
  
  
  
"requires_approval": true
  
  
  
}
  
  
],
  
  
"corrected_article": {
  
  
  
"id": "string",
  
  
  
"title": "string",
  
  
  
"summary": "string",
  
  
  
"content": "string",
  
  
  
"tags": [
  
  
  
  
"string"
  
  
  
],
  
  
  
"source": "string",
  
  
  
"language": "string"
  
  
}
  
}
]

Playground​

認証
ボディ

サンプル​